#if !defined(__XMLVIEWER_H)
#define __XMLVIEWER_H
#include <stdbool.h>

PetscErrorCode PetscViewerInitASCII_XML(PetscViewer);
PetscErrorCode PetscViewerFinalASCII_XML(PetscViewer *);
PetscErrorCode PetscViewerCheckASCII_XMLFormat(PetscViewer, bool *);
PetscErrorCode PetscXMLStartSection(MPI_Comm, FILE *, const char *, const char *);
PetscErrorCode PetscXMLEndSection(MPI_Comm, FILE *, const char *);
PetscErrorCode PetscXMLPutString(MPI_Comm, FILE *, const char *, const char *, const char *);
PetscErrorCode PetscXMLPutInt(MPI_Comm, FILE *, const char *, const char *, const int);
PetscErrorCode PetscXMLPutDouble(MPI_Comm, FILE *, const char *, const char *, const PetscLogDouble, const char *);
#endif
